# Method: accounts.locations.reviews.updateReply

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews/updateReply#body.aspect)

Updates the reply to the specified review. A reply is created if one does not exist. This operation is only valid if the specified location is verified.

### HTTP request

`PUT https://mybusiness.googleapis.com/v4/{name=accounts/*/locations/*/reviews/*}/reply`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the review to respond to. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#ReviewReply`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations.reviews#ReviewReply`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).